Functions
gtkconn.h File Reference

GTK+ Connection API. More...

Go to the source code of this file.

## Functions
void * | pidgin_connection_get_handle (void)
| Returns the GTK+ connection handle. More...
void | pidgin_connection_init (void)
| Initializes the GTK+ connection system.
void | pidgin_connection_uninit (void)
| Uninitializes the GTK+ connection system.
GTK+ Connection API
PurpleConnectionUiOps * | pidgin_connections_get_ui_ops (void)
| Gets GTK+ Connection UI ops. More...

## Detailed Description

GTK+ Connection API.

Definition in file gtkconn.h.

## Function Documentation

## ◆ pidgin_connection_get_handle()

void* pidgin_connection_get_handle | ( | void |  | ) |

Returns the GTK+ connection handle.

Returns
  The handle to the GTK+ connection system.

## ◆ pidgin_connections_get_ui_ops()

PurpleConnectionUiOps* pidgin_connections_get_ui_ops | ( | void |  | ) |

Gets GTK+ Connection UI ops.

Returns
  UI operations struct